Watch Job
curl --request POST \
--url https://api.xplenty.com/{account_id}/api/jobs/{job_id}/watchers \
--header 'Accept: <accept>' \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.xplenty.com/{account_id}/api/jobs/{job_id}/watchers"
headers = {
"Accept": "<accept>",
"Authorization": "Basic <encoded-value>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Accept: '<accept>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.xplenty.com/{account_id}/api/jobs/{job_id}/watchers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Jobs
Watch Job
Subscribe to notifications for the specified job.
POST
/
jobs
/
{job_id}
/
watchers
Watch Job
Authorizations
Enter your API key as the username. Leave the password field blank.
Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...
Headers
API version header — required on all requests
Path Parameters
The unique ID of the job
Response
200
Now watching job
Last modified on July 14, 2026
Was this page helpful?
⌘I